# -*- mode: conf-unix; eval: (git-auto-commit-mode 1); -*-

[general]
# NOTE: cronjob calls the quiet UI with -u
ui         = TTYUI
accounts   = ryuslash.org,gmail,arch,aethon,ninthfloor
pythonfile = ~/.offlineimap.py

[Account arch]
localrepository  = arch-local
remoterepository = arch-remote

[Account gmail]
localrepository  = gmail-local
remoterepository = gmail-remote
postsynchook = mu index --muhome=~/.mu/gmail --maildir=~/documents/mail/gmail; ~/bin/emacs-send-mail gmail

[Account iactor]
localrepository  = iactor-local
remoterepository = iactor-remote

[Account aethon]
localrepository = aethon-local
remoterepository = aethon-remote
postsynchook = mu index --muhome=~/.mu/aethon --maildir=~/documents/mail/aethon; ~/bin/emacs-send-mail aethon

[Account ninthfloor]
localrepository = ninthfloor-local
remoterepository = ninthfloor-remote
postsynchook = mu index --muhome=~/.mu/ninthfloor --maildir=~/documents/mail/ninthfloor; ~/bin/emacs-send-mail ninthfloor

[Account ryuslash.org]
localrepository = ryuslash.org-local
remoterepository = ryuslash.org-remote
postsynchook = mu index --muhome=~/.mu/ryuslash --maildir=~/documents/mail/ryuslash.org; ~/bin/emacs-send-mail ryuslash.org

[Repository arch-local]
type         = Maildir
localfolders = ~/documents/mail/arch

[Repository gmail-local]
type         = Maildir
localfolders = ~/documents/mail/gmail

nametrans = lambda folder: re.sub('^inbox$', 'INBOX', re.sub('^drafts$', '[Gmail]/Drafts', re.sub('^sent$', '[Gmail]/Sent Mail', re.sub('^trash$', '[Gmail]/Trash', folder))))

[Repository iactor-local]
type         = Maildir
localfolders = ~/documents/mail/iactor

[Repository aethon-local]
type         = Maildir
localfolders = ~/documents/mail/aethon

#nametrans = lambda folder: re.sub('^inbox$', 'INBOX', re.sub('^drafts$', '[Gmail]/Concepten', re.sub('^sent$', '[Gmail]/Verzonden berichten', re.sub('^trash$', '[Gmail]/Prullenbak', folder))))
nametrans = lambda folder: re.sub('^inbox$', 'INBOX', folder)

[Repository ninthfloor-local]
type         = Maildir
localfolders = ~/documents/mail/ninthfloor

nametrans = lambda folder: folder.capitalize()

[Repository ryuslash.org-local]
type         = Maildir
localfolders = ~/documents/mail/ryuslash.org

nametrans = lambda folder: folder.capitalize()

[Repository arch-remote]
type           = Gmail
remoteusereval = getuser("imap.google.com-arch")
remotepasseval = getpassword("imap.google.com-arch")
realdelete     = no

nametrans = lambda folder: re.sub('.*Spam$', 'spam', re.sub('.*Drafts$', 'drafts', re.sub('.*Sent Mail$', 'sent', re.sub('.*Starred$', 'flagged', re.sub('.*Trash$', 'trash', re.sub('.*All Mail$', 'archive', folder))))))

[Repository gmail-remote]
type           = Gmail
remoteusereval = getuser("imap.google.com")
remotepasseval = getpassword("imap.google.com")
realdelete     = no

folderfilter = lambda folder: folder in ['INBOX', '[Gmail]/Drafts', '[Gmail]/Sent Mail', '[Gmail]/Trash']
nametrans = lambda folder: re.sub('^INBOX$', 'inbox', re.sub('^\[Gmail\]/Drafts$', 'drafts', re.sub('^\[Gmail\]/Sent Mail$', 'sent',  re.sub('^\[Gmail\]/Trash$', 'trash', folder))))

[Repository iactor-remote]
type           = IMAP
remotehost     = mail.iactor.nl
remoteusereval = getuser("mail.iactor.nl")
remotepasseval = getpassword("mail.iactor.nl")

[Repository aethon-remote]
type           = Gmail
remoteusereval = getuser("imap.google.com-aethon")
remotepasseval = getpassword("imap.google.com-aethon")
realdelete     = no

folderfilter = lambda folder: folder in ['INBOX', '[Gmail]/Concepten', '[Gmail]/Verzonden berichten', '[Gmail]/Prullenbak']
nametrans = lambda folder: re.sub('^INBOX$', 'inbox', folder)
#nametrans = lambda folder: re.sub('^INBOX$', 'inbox', re.sub('^\[Gmail\]/Concepten$', 'drafts', re.sub('^\[Gmail\]/Verzonden berichten$', 'sent',  re.sub('^\[Gmail\]/Prullenbak$', 'trash', folder))))

[Repository ninthfloor-remote]
type           = IMAP
remotehost     = ninthfloor.org
remoteusereval = getuser("ninthfloor.org")
remotepasseval = getpassword("ninthfloor.org")

nametrans = lambda folder: folder.lower()

[Repository ryuslash.org-remote]
type           = IMAP
remotehost     = imap.alwaysdata.com
remoteusereval = getuser("imap.alwaysdata.com")
remotepasseval = getpassword("imap.alwaysdata.com")

nametrans = lambda folder: folder.lower()
